package CoPS.Exceptions;
//
//  NotAbleToDecomposeTaskException.java
//  CoPS
//
//  Created by Odd Erik  Gundersen on Wed May 12 2004.
//  Copyright (c) 2004 NTNU. All rights reserved.
//

public class NotAbleToDecomposeTaskException extends Exception{

	private String error = "";
	private String task = "";
	
	public NotAbleToDecomposeTaskException(String task, String error){
		super("Not able to decompose task. Following error was encountered: " +error);
		this.error = error;
		this.task = task;
	}
	
	public String getError(){
		return this.error;	
	}
	
	public String getTask(){
		return this.task;
	}
	
}
