package CoPS.agents;

//
//  CoPSAgent.java
//  CoPS
//
//  Created by Odd Erik  Gundersen on Tue May 11 2004.
//  Copyright (c) 2004 NTNU. All rights reserved.
//
//	Changed by Kari 31.01.06 - Moved the behaviour into it's own class

import jade.core.Agent;
import jade.domain.FIPAAgentManagement.ServiceDescription;

/**
	Class all agents in the CoPS Framework will have to inherit if they want to utilize to full capabillities
	of interacting as part of Team Spaces. <br><b>Important!</b> This class is not fully implemented. All
	methods for interacting as part of teams should be implemented in this class, but this feature is not 
	yet fully developed.
 */
public abstract class CoPSAgent extends Agent{
	
	/**
		Method for setting the service description of a CoPS agent. This method is called during setup and has to be implemented to return the service description used to describe the kind of services provided by this agent.
		@return ServiceDescription The description of the services provided by this CoPS agent.
	*/
	public abstract ServiceDescription setServiceDescription();
	
	
}